# $Revision: 1.17 $, $Date: 2006/05/31 12:54:50 $
%define		ocaml_ver	1:3.09.2
Summary:	Event queue library for OCaml
Summary(pl):	Biblioteka obsugujca kolejk zdarze dla OCamla
Name:		ocaml-equeue
Version:	2.1.4
Release:	6
License:	BSD
Group:		Libraries
URL:		http://www.ocaml-programming.de/packages/documentation/equeue/
Source0:	http://www.ocaml-programming.de/packages/equeue-%{version}.tar.gz
# Source0-md5:	259a21c01ab545c05e96ed43b61279d2
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-labltk-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Equeue provides a generic event queue module, and a specific module
for file descriptor events.

%description -l pl
Equeue dostarcza oglnego moduu obsugi kolejki zdarze jak rwnie
moduu obsugi zdarze na deskryptorach plikw.

%package tcl
Summary:	Event queue library for OCaml, Tcl support
Summary(pl):	Biblioteka obsugujca kolejk zdarze dla OCamla, wsparcie dla Tcl
Group:		Libraries
%requires_eq	ocaml-runtime
%requires_eq	ocaml-labltk

%description tcl
This package makes it possible to let Equeue cooperate with the event
queue implementation of Tcl.

This package contains files needed to run bytecode executables using
this library.

%description tcl -l pl
Pakiet ten umoliwia wspprac Equeue z implementacj kolejki zdarze
w Tcl.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package tcl-devel
Summary:	Equeue Tcl support - development part
Summary(pl):	Wsparcie dla Tcl-a w equeue - cze programistyczna
Group:		Development/Libraries
Requires:	%{name}-tcl = %{version}-%{release}
%requires_eq	ocaml-labltk-devel
%requires_eq	ocaml

%description tcl-devel
This package makes it possible to let Equeue cooperate with the event
queue implementation of Tcl.

This package contains files needed to develop OCaml programs using
this library.

%description tcl-devel -l pl
Pakiet ten umoliwia wspprac Equeue z implementacj kolejki zdarze
w Tcl.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%package devel
Summary:	Event queue library for OCaml - development part
Summary(pl):	Biblioteka obsugujca kolejk zdarze dla OCamla - cze programistyczna
Group:		Development/Libraries
%requires_eq	ocaml

%description devel
Equeue provides a generic event queue module, and a specific module
for file descriptor events.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
Equeue dostarcza oglnego moduu obsugi kolejki zdarze jak rwnie
moduu obsugi zdarze na deskryptorach plikw.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%prep
%setup -q -n equeue-%{version}

%build
./configure \
	-with-equeue-tcl \
	-equeue-tcl-defs -I%{_includedir}/tcl-private/generic \
	-equeue-tcl-libs -ltcl
%{__make} -j1 DEBUG= all opt

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/equeue
OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml %{__make} install
(cd $RPM_BUILD_ROOT%{_libdir}/ocaml && ln -s equeue-tcl/dll*.so .)
mv $RPM_BUILD_ROOT%{_libdir}/ocaml/equeue/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/equeue
echo 'directory = "+equeue"' \
	>> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/equeue/META
rm -f $RPM_BUILD_ROOT%{_libdir}/ocaml/equeue*/*.mli

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files tcl
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/equeue-tcl
%attr(755,root,root) %{_libdir}/ocaml/equeue-tcl/*.so
%{_libdir}/ocaml/*.so

%files devel
%defattr(644,root,root,755)
%doc LICENSE doc/README doc/r*-* doc/users-guide/html
%dir %{_libdir}/ocaml/equeue
%{_libdir}/ocaml/equeue/equeue.*
%{_libdir}/ocaml/equeue/unix*
%{_libdir}/ocaml/equeue/uq_*
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/equeue

%files tcl-devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/equeue-tcl/libtcl*
%{_libdir}/ocaml/equeue-tcl/*tcl*.cmi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-equeue.spec,v $
Revision 1.17  2006/05/31 12:54:50  glen
- rel 6 (rebuild with ocaml-3.09.2)

Revision 1.16  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.15  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.14  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.13  2005/12/10 21:32:07  baggins
- rel 3
- BR ocaml-findlib-devel

Revision 1.12  2005/12/10 18:40:37  baggins
- release 2 for ocaml 3.09.0

Revision 1.11  2005/10/15 13:56:44  paszczus
- no simulation build

Revision 1.10  2005/10/14 21:36:16  arekm
- up to 2.1.4

Revision 1.9  2005/10/11 21:24:20  paszczus
- fixed install.patch (removed bogus -dont-modify-ldconf option from install)
- release 4

Revision 1.8  2005/10/11 20:51:08  paszczus
- release up to rebuild with new ocaml

Revision 1.7  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.6  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.5  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.2  2002/05/13 14:05:11  malekith
- copied description from -devel where there was "No main package."

Revision 1.1  2002/05/13 11:19:37  malekith
- inital; from scratch

